<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF5863=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF5D57=5A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time To Buy Upgrades">
    <script state="run">
      <action>maincpu.pb@FF5950=0A</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round"> <comment>Enable on the Character Select screen</comment>
    <parameter min="1" max="8" step="1"/>
    <script state="change">
      <action>maincpu.pb@FF5934=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Next Round">
    <parameter min="1" max="8" step="1"/>
    <script state="change">
      <action>maincpu.pb@FF5934=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere">
    <script state="on">
      <action>temp0 =maincpu.ow@015712</action>
      <action>temp1 =maincpu.ow@01572A</action>
      <action>temp2 =maincpu.ow@01574A</action>
      <action>temp3 =maincpu.ow@015764</action>
    </script>
    <script state="run">
      <action>maincpu.ow@015712=4E71</action> <!-- This ROM cheat was made by Abystus -->
      <action>maincpu.ow@01572A=6002</action>
      <action>maincpu.ow@01574A=6002</action>
      <action>maincpu.ow@015764=6002</action>
    </script>
    <script state="off">
      <action>maincpu.ow@015712=temp0 </action>
      <action>maincpu.ow@01572A=temp1 </action>
      <action>maincpu.ow@01574A=temp2 </action>
      <action>maincpu.ow@015764=temp3 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF830A=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FF82B7=80</action>
      <action>maincpu.pb@FF82EB=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FF830C=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money PL1">
    <script state="run">
      <action>maincpu.pb@FF8328=27</action>
      <action>maincpu.pb@FF8329=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Battle Download Units PL1">
    <script state="run">
      <action>maincpu.pb@FF833E=05</action>
    </script>
  </cheat>

  <cheat desc="Always have 50 Coin Upgrade PL1"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=01|(maincpu.pb@FF833C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always have 100 Coin Upgrade PL1"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=02|(maincpu.pb@FF833C BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always have 200 Coin Upgrade PL1"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=04|(maincpu.pb@FF833C BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always have 300/400 Coin Upgrade PL1"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=08|(maincpu.pb@FF833C BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always have 400/300 Coin Upgrade PL1"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=10|(maincpu.pb@FF833C BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always have 500 Coin Upgrade PL1"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=20|(maincpu.pb@FF833C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Earnt Upgrade PL1"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="run">
      <action>maincpu.pb@FF833C=80|(maincpu.pb@FF833C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Get 50 Coin Upgrade Now! PL1"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=01|(maincpu.pb@FF833C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get 100 Coin Upgrade Now! PL1"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=02|(maincpu.pb@FF833C BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get 200 Coin Upgrade Now! PL1"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=04|(maincpu.pb@FF833C BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get 300/400 Coin Upgrade Now! PL1"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=08|(maincpu.pb@FF833C BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get 400/300 Coin Upgrade Now! PL1"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=10|(maincpu.pb@FF833C BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Get 500 Coin Upgrade Now! PL1"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=20|(maincpu.pb@FF833C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Earnt Upgrade Now! PL1"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="on">
      <action>maincpu.pb@FF833C=80|(maincpu.pb@FF833C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF844A=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FF83F7=80</action>
      <action>maincpu.pb@FF842B=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FF844C=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money PL2">
    <script state="run">
      <action>maincpu.pb@FF8468=27</action>
      <action>maincpu.pb@FF8469=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Battle Download Units PL2">
    <script state="run">
      <action>maincpu.pb@FF847E=05</action>
    </script>
  </cheat>

  <cheat desc="Always have 50 Coin Upgrade PL2"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=01|(maincpu.pb@FF847C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always have 100 Coin Upgrade PL2"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=02|(maincpu.pb@FF847C BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always have 200 Coin Upgrade PL2"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=04|(maincpu.pb@FF847C BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always have 300/400 Coin Upgrade PL2"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=08|(maincpu.pb@FF847C BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always have 400/300 Coin Upgrade PL2"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=10|(maincpu.pb@FF847C BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always have 500 Coin Upgrade PL2"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=20|(maincpu.pb@FF847C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Earnt Upgrade PL2"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="run">
      <action>maincpu.pb@FF847C=80|(maincpu.pb@FF847C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Get 50 Coin Upgrade Now! PL2"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=01|(maincpu.pb@FF847C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get 100 Coin Upgrade Now! PL2"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=02|(maincpu.pb@FF847C BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get 200 Coin Upgrade Now! PL2"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=04|(maincpu.pb@FF847C BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get 300/400 Coin Upgrade Now! PL2"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=08|(maincpu.pb@FF847C BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get 400/300 Coin Upgrade Now! PL2"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=10|(maincpu.pb@FF847C BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Get 500 Coin Upgrade Now! PL2"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=20|(maincpu.pb@FF847C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Earnt Upgrade Now! PL2"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="on">
      <action>maincpu.pb@FF847C=80|(maincpu.pb@FF847C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL3">
    <script state="run">
      <action>maincpu.pb@FF858A=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL3">
    <script state="run">
      <action>maincpu.pb@FF8537=80</action>
      <action>maincpu.pb@FF856B=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL3">
    <script state="run">
      <action>maincpu.pb@FF858C=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money PL3">
    <script state="run">
      <action>maincpu.pb@FF85A8=27</action>
      <action>maincpu.pb@FF85A9=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Battle Download Units PL3">
    <script state="run">
      <action>maincpu.pb@FF85BE=05</action>
    </script>
  </cheat>

  <cheat desc="Always have 50 Coin Upgrade PL3"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=01|(maincpu.pb@FF85BC BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always have 100 Coin Upgrade PL3"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=02|(maincpu.pb@FF85BC BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always have 200 Coin Upgrade PL3"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=04|(maincpu.pb@FF85BC BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always have 300/400 Coin Upgrade PL3"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=08|(maincpu.pb@FF85BC BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always have 400/300 Coin Upgrade PL3"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=10|(maincpu.pb@FF85BC BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always have 500 Coin Upgrade PL3"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=20|(maincpu.pb@FF85BC BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Earnt Upgrade PL3"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="run">
      <action>maincpu.pb@FF85BC=80|(maincpu.pb@FF85BC BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Get 50 Coin Upgrade Now! PL3"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=01|(maincpu.pb@FF85BC BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get 100 Coin Upgrade Now! PL3"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=02|(maincpu.pb@FF85BC BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get 200 Coin Upgrade Now! PL3"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=04|(maincpu.pb@FF85BC BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get 300/400 Coin Upgrade Now! PL3"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=08|(maincpu.pb@FF85BC BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get 400/300 Coin Upgrade Now! PL3"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=10|(maincpu.pb@FF85BC BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Get 500 Coin Upgrade Now! PL3"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=20|(maincpu.pb@FF85BC BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Earnt Upgrade Now! PL3"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="on">
      <action>maincpu.pb@FF85BC=80|(maincpu.pb@FF85BC BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL4">
    <script state="run">
      <action>maincpu.pb@FF86CA=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL4">
    <script state="run">
      <action>maincpu.pb@FF8677=80</action>
      <action>maincpu.pb@FF86AB=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL4">
    <script state="run">
      <action>maincpu.pb@FF86CC=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money PL4">
    <script state="run">
      <action>maincpu.pb@FF86E8=27</action>
      <action>maincpu.pb@FF86E9=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Battle Download Units PL4">
    <script state="run">
      <action>maincpu.pb@FF86FE=05</action>
    </script>
  </cheat>

  <cheat desc="Always have 50 Coin Upgrade PL4"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=01|(maincpu.pb@FF86FC BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always have 100 Coin Upgrade PL4"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=02|(maincpu.pb@FF86FC BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always have 200 Coin Upgrade PL4"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=04|(maincpu.pb@FF86FC BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always have 300/400 Coin Upgrade PL4"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=08|(maincpu.pb@FF86FC BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always have 400/300 Coin Upgrade PL4"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=10|(maincpu.pb@FF86FC BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always have 500 Coin Upgrade PL4"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=20|(maincpu.pb@FF86FC BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always have Earnt Upgrade PL4"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="run">
      <action>maincpu.pb@FF86FC=80|(maincpu.pb@FF86FC BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Get 50 Coin Upgrade Now! PL4"> <comment>Cyber Blue='Hyper Tornado' Yellow Iris='Whip Rush' Alien Green='Alien Twister' Pink Ostrich='Burning Arrow' Captain Silver='Silver Wind'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=01|(maincpu.pb@FF86FC BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get 100 Coin Upgrade Now! PL4"> <comment>Cyber Blue='Burning Heel Kick' Yellow Iris='Triangle Shot' Alien Green='Alien Magic' Pink Ostrich='Sonic Spin' Captain Silver='Slash Stream'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=02|(maincpu.pb@FF86FC BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get 200 Coin Upgrade Now! PL4"> <comment>Cyber Blue='Heat Kick' Yellow Iris='Aerial Dance' Alien Green='Green Cyclone' Pink Ostrich='Sky Capture' Captain Silver='Rolling Crush'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=04|(maincpu.pb@FF86FC BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get 300/400 Coin Upgrade Now! PL4"> <comment>Cyber Blue='Giga Crush' Yellow Iris='Mirage Dance' Alien Green='Healing Plus' Pink Ostrich/Captain Silver='Vital Gain 1'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=08|(maincpu.pb@FF86FC BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get 400/300 Coin Upgrade Now! PL4"> <comment>Cyber Blue/Yellow Iris/Alien Green='Vital Gain 1' Pink Ostrich='Triple Feather' Captain Silver='Freeze Laser'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=10|(maincpu.pb@FF86FC BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Get 500 Coin Upgrade Now! PL4"> <comment>Cyber Blue='Cyber Cannon' Yellow Iris='Fin Special' Alien Green='Honey Bee Attack' Pink Ostrich='Pinky Ball' Captain Silver='Freeze Storm'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=20|(maincpu.pb@FF86FC BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get Earnt Upgrade Now! PL4"> <comment>Cyber Blue/Yellow Iris/Alien Green/Pink Ostrich/Captain Silver='Vital Gain 2'</comment>
    <script state="on">
      <action>maincpu.pb@FF86FC=80|(maincpu.pb@FF86FC BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="No Background Music">
    <script state="run">
      <action>audiocpu.pw@F026=0000</action>
    </script>
  </cheat>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x01">USA</item>
      <item value="0x02">Asia</item>
      <item value="0x03">Hispanic</item>
      <item value="0x04">Euro</item>
      <item value="0x05">Brazil</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF58C4=param</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="2047" step="1"/>
    <script state="change">
      <action>audiocpu.pw@F015=0000</action>
      <action>audiocpu.pq@F100=0000FF0000FF00FF</action>
      <action>audiocpu.pq@F108=00FFFF0000000000</action>
      <action>audiocpu.pq@F110=1000FF0000FF0000</action>
      <action>audiocpu.pq@F118=00FFFF0000000000</action>
      <action condition="(param LT 100)">audiocpu.pb@F111=param</action>
      <action>temp0=param/100</action>
      <action condition="(param GE 100)">audiocpu.pb@F110=temp0</action>
      <action condition="(param GE 100)">audiocpu.pb@F111=param-(temp0*100)</action>
      <action>audiocpu.pb@F015=20</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
